Look Up Paylink
Learn how you can look up a specific paylink
Overview
You may want to look up a Paylink for a number of reasons, like reviewing the details so you can modify it, or just to confirm its status.
API Request
This endpoint uses API Key AuthenticationCheck out our API KEY Authentication Section to learn more
This endpoint references the paylinkId of the Paylink, which was provided in the response body when you created the Paylink.
To look up a Paylink, send an API call to:
Staging:
GET https://paylinks.staging.skipify.com/{paylinkId}Production:
GET https://paylinks.skipify.com/{paylinkId}
API Response
Response Body Parameters
The response body will include all of the elements that you passed to us when you created the Payment Request. It will also include the following:
| Name | Type | Description |
|---|---|---|
| paylinkId | string | Skipify’s unique identifier for the Paylink. This ID will be needed to use the other endpoints. UUID max 36 char. |
| link | string (url) | The URL for this Paylink. Max 255 char. |
| shortLink | string(url) | The short link URL for this Paylink. Max 255 char. |
| merchantInvoiceId | string | A unique identifier that you send with the request is returned in the response. This identifier will not be visible to the customer. It can be used for your reference to link a Skipify order to a record in your systems. Max 255 char unless using WPG, then 25 char. |
| currencyCode | string | The currency used to create the Paylink. Only USD supported currently. Max 55 char. |
| merchantId | string | The merchantId that this Paylink was created for. UUID max 36 char. |
| metadata | object | If sent in the request, will be returned in the response |
| description | string | The description sent with the Paylink create request. This will be displayed to the customer. Max 255 char. |
| memo | string | The memo sent with the Paylink create request. This will be displayed to the customer. Max 255 char. |
| tax | integer | If tax was included in the Paylink create request, will be returned in the response |
| shipping | integer | If shipping was included in the Paylink create request, will be returned in the response |
| orderId | string | will be Null unless Paylink status = Paid, Partially_Paid, Refunded, or Partially_Refunded. Max 50 char. |
| expiration | dateTime, string | The expiration ISO 8601 date/time of the Paylink if it was set in the Request. Ex: 2024-06-02T21:48:02Z |
| sendSms | boolean | The boolean flag set on the request |
| sendEmail | boolean | The boolean flag set on the request |
| createdAt | dateTime, string | The ISO 8601 date/time the Paylink was created. |
| updatedAt | dateTime, string | The ISO 8601 date/time the Paylink was most recently updated. |
| customerConsent | boolean | The boolean flag set in the request, must be true to send |
| total | integer | Total amount of lineItems, shipping, tax |
| orderTotal | integer | The total plus any fees applied during payment |
| approvedAmount | integer | The amount that was approved for during payment |
| lastSentAt | dateTime, string | The last ISO 8601 datetime the Paylink was sent to the customer |
| bnpl | object | JSON null when the paylink is not BNPL; object when Flex Pay data was supplied at create. |
| paymentMethodType | enum | card, bank_account |
| isFlexPay | boolean | Indicates if paylink was completed with Flex Pay BNPL |
| lineItems | array | An array of Line Items sent when the Paylink was created |
| status | enum | Denotes what status the Paylink is in
|
| subTotal | integer | Total amount of lineitems and lineitems tax |
| customer | array | All parameters have max 255 char except *name with max 55 char, phoneand paylinkCustomerIdwhich is an UUID max 36 char. |
| openOrders | array | List of orders that have been created for the Paylink. Child parameters are UUID max 36 char or ISO8601 datetimestamps. |
| orderId | string, nullable | ID of the associated order in the Skipify system. Max 255 char. |
| deliveryLogs | array | Child parameters are UUID max 36 char, ISO8601 datetimestamp, max 255 char or enum. |
| events | array | Example: |
| transactions | array | Example: |
| enableRecurring | boolean | Whether or not the paylink was setup to prompt the customer for recurring charges during checkout |
| recurringChargeConsent | boolean | Whether or not the customer consented to recurring charges |
| recurringMethodId | string | Payment method id for recurring payment. UUID max 36 char |
Response Body Example
{
"paylinkId": "113ad60b-6c4d-41b5-b4f7-3b2444ebdd25",
"link": "https://stagecheckout.skipify.com/paylink/process/113ad60b-6c4d-41b5-b4f7-3b2444ebdd25",
"shortLink": "https://pl-stage.skipify.com/CF62Yt3",
"merchantInvoiceId": "your unique value",
"currencyCode": "USD",
"merchantId": "a1da0dbf-ccde-4265-8ccd-3b987c0a7193",
"metadata": null,
"description": "All sales are final",
"memo": "Thank you for your business",
"tax": null,
"shipping": null,
"orderId": "668570c06f1eder57a289bc7",
"expiration": "2025-05-22T21:44:00.000Z",
"sendSms": false,
"sendEmail": false,
"createdAt": "2024-07-03T15:39:42.021Z",
"updatedAt": "2024-07-03T15:40:00.148Z",
"customerConsent": true,
"total": 2222,
"orderTotal": 2222,
"approvedAmount": 2222,
"lastSentAt": null,
"lineItems": [
{
"paylinkItemId": "59c741-7741-4c39-9097-7bc27b3f2904",
"sku": "ABCDEFG123456",
"paylinkId": "226af40b-6c4d-41b5-b4f7-3b2444ebdd25",
"price": 1111,
"quantity": 2,
"tax": null,
"description": "Blue Hooded Sweatshirt Size L",
"category": "Men's",
"metadata": null,
"createdAt": "2024-07-03T15:39:42.021Z",
"updatedAt": "2024-07-03T15:39:42.021Z"
}
],
"deliveryLogs": [],
"openOrders": [
{
"paylinkId": "226af40b-6c4d-41b5-b4f7-3b2444ebdd25",
"orderId": "668570c06f1eder57a289bc7",
"createdAt": "2024-07-03T15:39:44.766Z"
}
],
"events": [
{
"eventId": "60f993b2-360b-4356-a509-2d5099c5c6b1",
"paylinkId": "226af40b-6c4d-41b5-b4f7-3b2444ebdd25",
"eventType": "CREATED",
"oldValue": null,
"newValue": null,
"createdBy": "API Key",
"createdAt": "2024-07-03T15:39:42.021Z"
},
{
"eventId": "cc32a004-5079-4f43-87fe-1d46231bd909",
"paylinkId": "226af40b-6c4d-41b5-b4f7-3b2444ebdd25",
"eventType": "OPENED",
"oldValue": {
"status": "CREATED"
},
"newValue": {
"status": "OPENED"
},
"createdBy": null,
"createdAt": "2024-07-03T15:39:44.766Z"
},
{
"eventId": "0779a8dd-b6f5-4a60-9501-8b681ba2f5f8",
"paylinkId": "226af40b-6c4d-41b5-b4f7-3b2444ebdd25",
"eventType": "PAID",
"oldValue": {
"status": "OPENED"
},
"newValue": {
"status": "PAID",
"orderTotal": 2222,
"approvedAmount": 2222
},
"createdBy": null,
"createdAt": "2024-07-03T15:40:00.148Z"
}
],
"status": "PAID",
"subTotal": 2222,
"customer": {
"email": null,
"phone": null,
"firstName": null,
"lastName": null,
"paylinkCustomerId": null
},
"attachments": [],
"transactions": [
{
"transactionType": "Sale",
"transactionStatus": "Captured",
"transactionAmount": 2222,
"pspTransactionId": "406503199",
"skipifyTransactionId": "13223fb91-51c9-42b5-9156-45bc35308e7c",
"authorizationCode": "870553",
"paymentMethodType": "card",
"cardBrand": "mastercard",
"cardLastFour": "2205",
"cardBin": "411111",
"cardExpirationMonth": 12,
"cardExpirationYear": 25,
"bankName": null,
"accountType": null,
"accountName": null,
"transactionTimestamp": "2023-11-18T21:02:49.036129Z",
"billingAddress": {
"firstName": "Bob",
"lastName": "Smith",
"address1": "123 Main St",
"city": "Longmont",
"zipCode": "80501",
"state": "CO",
"country": "US"
}
}
],
"enableRecurring": true,
"recurringMethodId": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}Updated 8 days ago
Did this page help you?

